version: '2'

services:
  iarchivserver:
    image: iarchivdock_iarchivserver
    expose:
    - "3000"
    ports:
    - "3000:3000"
    - "5000:5000"
    - "5858:5858"
    command: npm run inspect
    depends_on:
    - "redis"
    volumes:
    - .:/usr/src/app
  redis:
    image: redis
    ports:
    - "6379:6379"